#include "utility.lua"
#include "debug.lua"
#include "umf.lua"
#include "radar.lua"
#include "missile.lua"
#include "ui.lua"

function init()
	initRadar()
	initMis()
	cabDoors = FindJoints("missileCab",true)
	turretJoint = FindJoint("turretJoint")
	doorMin, doorMax = GetJointLimits(cabDoors[1]) 
end

function tick()
	if GetPlayerVehicle() ~= 0 then
		if InputPressed("p") then
			radarStat.enabled = not radarStat.enabled
		end
		if InputDown("z") then
			SetJointMotor(turretJoint,1)
		elseif InputDown("x") then
			SetJointMotor(turretJoint,-1)
		else
			SetJointMotor(turretJoint,0)
		end
	end
	
	if radarStat.enabled then
		for i=1,#cabDoors do
			SetJointMotorTarget(cabDoors[i],doorMax,1)
		end
		enableRadar()
		updateMis()
	else
		disableRadar()
		for i=1,#cabDoors do
			SetJointMotorTarget(cabDoors[i],doorMin,1)
		end
	end
	updateRadar()
	updateTarget()
end

function update()
	
end

function draw()
	if radarStat.enabled then
		drawRadar()
	end
end