UI_W = 400
UI_H = 400
DISP_DIAM = math.min(UI_W, UI_H)*0.9

res_path = "MOD/HomingMissile/res/"

function drawRadar()
	--background
	UiPush()
		UiTranslate(0,UiMiddle())
		UiAlign("left middle")
		UiColor(0,0,0,0.5)
		UiRect(UI_W,UI_H)
		UiTranslate(UI_W/2,0)
		UiAlign("center middle")
		UiColor(1,1,1)
		UiImageBox(res_path.."ui/radarBkg.png", DISP_DIAM, DISP_DIAM, 0, 0)
		UiAlign("center bottom")
		
		for i=1, #radarStat.target do
			UiPush()
				UiRotate(radarStat.target[i].localAngle)
				local tr = (radarStat.target[i].projDist/radarStat.detectRadius)*(DISP_DIAM/2)
				UiTranslate(0, -tr)
				UiAlign("center middle")
				if radarStat.target[i].state == "n" then
					UiPush()
						UiColor(0.5,1,0.5)
						UiRotate(-radarStat.target[i].localAngle)
						UiImageBox("ui/common/clearinput.png",10,10,0,0)
						UiAlign("left bottom")
						UiFont(res_path.."font/Disp.ttf",10)
						UiText("NEUTRALIZED")
					UiPop()
				elseif radarStat.target[i].state == "d" then
					UiPush()
						UiColor(0.8,0.8,0.8)
						UiRotate(-radarStat.target[i].localAngle)
						UiImageBox("ui/common/clearinput.png",10,10,0,0)
						UiAlign("left bottom")
						UiFont(res_path.."font/Disp.ttf",10)
						UiText("DISMISSED")
					UiPop()
				else
					UiPush()
						UiRotate(-radarStat.target[i].localAngle)
						UiColor(1,0.5,0.5)
						UiImageBox("ui/common/dot.png",8,8,0,0)
						UiPush()
							if radarStat.target[i].locked then
								UiColor(1,0,0)
								UiImageBox(res_path.."ui/locked.png",15,15,0,0)
								UiAlign("left bottom")
								UiFont(res_path.."font/Disp.ttf",13)
								UiText(string.format("ID = %s\nALT = %.0f\nDIST = %.0f\nAG = %.0f", radarStat.target[i].handle, radarStat.target[i].altitude, radarStat.target[i].projDist, radarStat.target[i].localAngle))
								UiAlign("right bottom")
								UiFont(res_path.."font/Disp.ttf",15)
								UiText("LOCKED")
							end
						UiPop()
					UiPop()
				end
			UiPop()
		end
		UiRotate(radarStat.mainAngle)
		UiRect(1,DISP_DIAM/2)
	UiPop()
end